GormValidationTransformer (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.gorm
[Java] Class GormValidationTransformer

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.AbstractGrailsArtefactTransformer
          org.codehaus.groovy.grails.compiler.gorm.GormValidationTransformer

    @AstTransformer
    public class GormValidationTransformer
    extends AbstractGrailsArtefactTransformer

Makes the validate methods statically available via an AST transformation.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `HAS_ERRORS_METHOD`

Fields inherited from class AbstractGrailsArtefactTransformer
CURRENT_PREFIX, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME, THIS_EXPRESSION

Method Summary
`java.lang.String` | `getArtefactType()`
`java.lang.Class` | `getInstanceImplementation()`
`java.lang.Class` | `getStaticImplementation()`
`protected boolean` | `isCandidateInstanceMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)`
`protected boolean` | `isStaticCandidateMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)`
`protected void` | `performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`protected boolean` | `requiresStaticLookupMethod()`
`boolean` | `shouldInject(java.net.URL url)`

Methods inherited from class AbstractGrailsArtefactTransformer
compareTo, getArtefactType, getArtefactTypes, getInstanceImplementation, getMarkerAnnotation, getStaticImplementation, isCandidateInstanceMethod, isStaticCandidateMethod, performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### HAS_ERRORS_METHOD

    public static final java.lang.String HAS_ERRORS_METHOD

Method Detail

### getArtefactType

    @Override
    public java.lang.String getArtefactType()

### getInstanceImplementation

    @Override
    public java.lang.Class getInstanceImplementation()

### getStaticImplementation

    @Override
    public java.lang.Class getStaticImplementation()

### isCandidateInstanceMethod

    protected boolean isCandidateInstanceMethod(ClassNode classNode, MethodNode declaredMethod) {
    protected boolean isCandidateInstanceMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)

### isStaticCandidateMethod

    @Override
    protected boolean isStaticCandidateMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)

### performInjectionInternal

    protected void performInjectionInternal(String apiInstanceProperty, SourceUnit source, ClassNode classNode) {
    protected void performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### requiresStaticLookupMethod

    @Override
    protected boolean requiresStaticLookupMethod()

### shouldInject

    public boolean shouldInject(java.net.URL url)

Groovy Documentation